#pragma once
#include "a83/macro.hpp"
#include <map>
#include "common/omp_mutex.hpp"
///@file карта конфигов из файлов
class info_base {
public:
  info_base() = default;
  virtual ~info_base() = default;  
};
//! <id, data>
using mp_info_t = std::map<uint, info_base*>;
namespace {
  mp_info_t mp_info = {};
  omp::mutex mp_info_mu = {};
}
void free_mp_info() {
  omp::lock_guard lock(mp_info_mu);
  for (nauto p: mp_info)
    delete p.second;
  mp_info.clear();
}